initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
@@ -0,0 +1,29 @@
From 0e05d4116678de3a7d913177a8fc63f10e58ad24 Mon Sep 17 00:00:00 2001
From: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date: Sat, 18 Jan 2020 00:00:21 +0100
Subject: [PATCH] configure.ac: remove po/Makefile.in
The file po/Makefile.in is automatically added to AC_OUTPUT while using
gettexize
Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
[Upstream status: not upstreamable]
---
configure.ac | 1 -
1 file changed, 1 deletion(-)
diff --git a/configure.ac b/configure.ac
index 3876adb..221dacf 100644
--- a/configure.ac
+++ b/configure.ac
@@ -471,7 +471,6 @@ LDFLAGS="$TEMP_LDFLAGS"
AC_CONFIG_FILES([
Makefile
src/Makefile
- po/Makefile.in
man/Makefile
data/camera1-dist.conf
data/camera2-dist.conf
--
2.24.1
+18
View File
@@ -0,0 +1,18 @@
config BR2_PACKAGE_MOTION
bool "motion"
depends on BR2_USE_MMU # fork()
depends on BR2_TOOLCHAIN_HAS_THREADS
select BR2_PACKAGE_JPEG
select BR2_PACKAGE_LIBMICROHTTPD
help
Motion is a program that monitors the video signal from
cameras. It is able to detect if a significant part of
the picture has changed; in other words, it can detect motion.
libv4l has to be selected to be able to use a local camera.
https://motion-project.github.io
comment "motion needs a toolchain w/ threads"
depends on BR2_USE_MMU
depends on !BR2_TOOLCHAIN_HAS_THREADS
+37
View File
@@ -0,0 +1,37 @@
#!/bin/sh
NAME=motion
PIDFILE=/var/run/$NAME.pid
DAEMON=/usr/bin/$NAME
start() {
printf "Starting $NAME: "
start-stop-daemon -S -q -m -b -p $PIDFILE --exec $DAEMON
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping $NAME: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart|reload}"
exit 1
esac
exit $?
+3
View File
@@ -0,0 +1,3 @@
# Locally computed:
sha256 3fb0d14fff8a8a143716223b5d2d55c0f52b11badf13a2e485b98bae3cf1b572 motion-4.4.0.tar.gz
sha256 8177f97513213526df2cf6184d8ff986c675afb514d4e68a404010521b880643 LICENSE
+72
View File
@@ -0,0 +1,72 @@
################################################################################
#
# motion
#
################################################################################
MOTION_VERSION = 4.4.0
MOTION_SITE = $(call github,Motion-Project,motion,release-$(MOTION_VERSION))
MOTION_LICENSE = GPL-2.0
MOTION_LICENSE_FILES = LICENSE
MOTION_CPE_ID_VENDOR = motion_project
MOTION_DEPENDENCIES = host-pkgconf jpeg libmicrohttpd $(TARGET_NLS_DEPENDENCIES)
# From git
MOTION_AUTORECONF = YES
MOTION_GETTEXTIZE = YES
MOTION_CONF_OPTS += --without-optimizecpu
ifeq ($(BR2_PACKAGE_FFMPEG_SWSCALE),y)
MOTION_DEPENDENCIES += ffmpeg
MOTION_CONF_OPTS += --with-ffmpeg
else
MOTION_CONF_OPTS += --without-ffmpeg
endif
ifeq ($(BR2_PACKAGE_MYSQL),y)
MOTION_DEPENDENCIES += mysql
MOTION_CONF_OPTS += --with-mysql
else
MOTION_CONF_OPTS += --without-mysql
endif
ifeq ($(BR2_PACKAGE_POSTGRESQL),y)
MOTION_DEPENDENCIES += postgresql
MOTION_CONF_OPTS += --with-pgsql
else
MOTION_CONF_OPTS += --without-pgsql
endif
ifeq ($(BR2_PACKAGE_SQLITE),y)
MOTION_DEPENDENCIES += sqlite
MOTION_CONF_OPTS += --with-sqlite3
else
MOTION_CONF_OPTS += --without-sqlite3
endif
ifeq ($(BR2_PACKAGE_WEBP_MUX),y)
MOTION_DEPENDENCIES += webp
MOTION_CONF_OPTS += --with-webp
else
MOTION_CONF_OPTS += --without-webp
endif
# Do not use default install target as it installs many unneeded files and
# directories: docs, examples and init scripts
define MOTION_INSTALL_TARGET_CMDS
$(INSTALL) -D -m 0644 $(@D)/data/motion-dist.conf \
$(TARGET_DIR)/etc/motion/motion.conf
$(INSTALL) -D -m 0755 $(@D)/src/motion $(TARGET_DIR)/usr/bin/motion
endef
define MOTION_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/motion/S99motion \
$(TARGET_DIR)/etc/init.d/S99motion
endef
define MOTION_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/motion/motion.service \
$(TARGET_DIR)/usr/lib/systemd/system/motion.service
endef
$(eval $(autotools-package))
+10
View File
@@ -0,0 +1,10 @@
[Unit]
Description=Motion camera monitoring system
After=network.target
[Service]
ExecStart=/usr/bin/motion
Restart=always
[Install]
WantedBy=multi-user.target